Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.reporters
Class TemplateableViewGenerator

    java.lang.Object
      org.jbehave.core.reporters.TemplateableViewGenerator

All Implemented Interfaces:
  ViewGenerator

Direct Known Subclasses:
  FreemarkerViewGenerator

    public class TemplateableViewGenerator

extends Object
implements ViewGenerator

`ViewGenerator`, which uses the configured `TemplateProcessor` to generate the views from templates. The default view properties are overridable via the method `Properties` parameter. To override, specify the path to the new template under the appropriate key:

     "views": the path to global view template, including reports and maps views
     "maps": the path to the maps view template
     "reports": the path to the reports view template
     "decorated": the path to the template to generate a decorated (i.e. styled) single report
     "nonDecorated": the path to the template to generated a non decorated single report

The view generator provides the following resources:

     "decorateNonHtml" = "true"
     "defaultFormats" = "stats"
     "viewDirectory" = "view"

Author:
  Mauro Talevi

Nested Class Summary
`static class` | `TemplateableViewGenerator.Report`
`static class` | `TemplateableViewGenerator.ReportCreationFailed`
`static class` | `TemplateableViewGenerator.ReportsTable`
`static class` | `TemplateableViewGenerator.TimeFormatter`
`static class` | `TemplateableViewGenerator.ViewGenerationFailedForTemplate`

Constructor Summary
`TemplateableViewGenerator(StoryNameResolver nameResolver, TemplateProcessor processor)`

Method Summary
`Properties` | `defaultViewProperties()`
`void` | `generateMapsView(File outputDirectory, StoryMaps storyMaps, Properties viewProperties)`
`void` | `generateReportsView(File outputDirectory, List<String> formats, Properties viewProperties)`
`ReportsCount` | `getReportsCount()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateableViewGenerator

    public TemplateableViewGenerator(StoryNameResolver nameResolver,
                                     TemplateProcessor processor)

Method Detail

### defaultViewProperties

    public Properties defaultViewProperties()

### generateMapsView

    public void generateMapsView(File outputDirectory,
                                 StoryMaps storyMaps,
                                 Properties viewProperties)

  Specified by:
    `generateMapsView` in interface `ViewGenerator`

### generateReportsView

    public void generateReportsView(File outputDirectory,
                                    List<String> formats,
                                    Properties viewProperties)

  Specified by:
    `generateReportsView` in interface `ViewGenerator`

### getReportsCount

    public ReportsCount getReportsCount()

  Specified by:
    `getReportsCount` in interface `ViewGenerator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.